Name:           patricia-trie
Version:        0.2
Release:        12.20091116svn%{?dist}
Summary:        Java prefix tree library
License:        ASL 2.0
URL:            http://patricia-trie.googlecode.com/
# https://github.com/rkapsi/patricia-trie/archive/patricia-trie-0.6.tar.gz
# svn export -r108 http://patricia-trie.googlecode.com/svn/trunk@108 patricia-trie
# tar czf patricia-trie.tar.gz patricia-trie
Source0:        %{name}.tar.gz

BuildRequires:  ant
BuildRequires:  java-devel
BuildRequires:  jpackage-utils
Requires:       jpackage-utils

BuildArch:      noarch

%description
Patricia is a prefix-tree (trie) implementation written in Java.

%package javadoc
Summary:        API documentation for %{name}

%description javadoc
Javadoc HTML documentation for %{name}.

%prep
%setup -q -n %{name}
find -name '*.jar' -delete

%build

ant

%install

install -d $RPM_BUILD_ROOT%{_javadir}
install -d $RPM_BUILD_ROOT%{_javadocdir}/%{name}

install -p -m644 dist/%{name}-%{version}/%{name}-%{version}.jar \
        $RPM_BUILD_ROOT%{_javadir}/%{name}.jar
%add_maven_depmap org.ardverk:patricia-trie:%{version} %{name}.jar

cp -a dist/%{name}-%{version}/api/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}

%files -f .mfiles
%license dist/%{name}-%{version}/LICENSE-2.0.txt
%doc dist/%{name}-%{version}/RELEASE-NOTES.txt

%files javadoc
%{_javadocdir}/%{name}
%license dist/%{name}-%{version}/LICENSE-2.0.txt

%changelog
* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.2-12.20091116svn
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.2-11.20091116svn
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2-10.20091116svn
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Wed Feb 11 2015 gil cattaneo <puntogil@libero.it> 0.2-9.20091116svn
- introduce license macro
- add maven metadata

* Fri Jun 06 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2-8.20091116svn
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Tue Oct 22 2013 gil cattaneo <puntogil@libero.it> 0.2-7.20091116svn
- fix rhbz#1022152
- adapt to current gudeline

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2-6.20091116svn
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2-5.20091116svn
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Fri Jul 20 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2-4.20091116svn
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2-3.20091116svn
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2-2.20091116svn
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Fri Nov 27 2009 Lubomir Rintel <lkundrak@v3.sk> - 0.2-1.20091116svn
- Initial packaging
